import { select, arc } from 'd3';

const svg = select('svg');


const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
					   .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle')
                .attr('r', height / 2)
                .attr('stroke', 'black')
                .attr('fill', 'yellow');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowsYOffset = -70

const eyesG = g.append('g')
							 .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG.append('circle') 								 
								 .attr('r', eyeRadius)
								 .attr('cx', -eyeSpacing);

const rightEye = eyesG.append('circle')
                  .attr('r', eyeRadius)
                  .attr('cx', +eyeSpacing);

const eyebrowsG = eyesG.append('g')
							 				  .attr('transform', `translate(0, ${eyebrowsYOffset})`);

eyebrowsG.transition().duration(2000)
        	.attr('transform', `translate(0, ${eyebrowsYOffset - 50}`)
      	 .transition().duration(2000)
        	.attr('transform', `translate(0, ${eyebrowsYOffset}`);

const leftEyebrow = eyebrowsG.append('rect')
												 .attr('x', -eyeSpacing - eyebrowWidth / 2)
												 .attr('width', eyebrowWidth)
												 .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG.append('rect')
												 .attr('x', eyeSpacing - eyebrowWidth / 2)
												 .attr('width', eyebrowWidth)
												 .attr('height', eyebrowHeight);

const mouth = g.append('path')
								 .attr('d', arc()(
                   {
                   	innerRadius: 80,
                    outerRadius: 100,
                    startAngle: Math.PI / 2,
                    endAngle: Math.PI * 3/2
                   }
     							));